<template>
    <div>
        <UserStoryForm v-bind:userStory="userStory" v-on:back="back" v-on:submit="submit" v-on:remove="remove"></UserStoryForm>
    </div>
</template>

<script>
import UserStoryForm from './UserStory.Form.vue';
import { editProject } from '@/api/projects.service.js'
export default {
    data() {
        return {
            userStory: {}
        }
    },
    computed: {
        project() {
            return this.$store.getters.getCurrentProject;
        },
        sprint() {
            if (this.project && this.project.sprints[this.$route.params.sprintId]) {
                return this.project.sprints[this.$route.params.sprintId];
            }
            return {};
        }
    },
    components: {
        UserStoryForm
    },
    methods: {
        back: function () {
            this.$router.go(-1);
        },
        submit: function () {
            if(!this.sprint.userStories){
                this.sprint.userStories = new Array();
            }
            this.sprint.userStories.push(this.userStory);
            let id = this.project._id;
            editProject(id,this.project).then(() => {
                this.$store.dispatch('setProjectById',this.$route.params.id);
                this.$router.go(-1);
            });
        },
        remove() {

        }
    }
}
</script>

<style>

</style>
